import { JavaObject } from '../../../java/lang/JavaObject';
export declare class SchemaListeEintrag extends JavaObject {
    name: String | null;
    revision: number;
    isTainted: boolean;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): SchemaListeEintrag;
    static transpilerToJSON(obj: SchemaListeEintrag): string;
    static transpilerToJSONPatch(obj: Partial<SchemaListeEintrag>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_db_SchemaListeEintrag(obj: unknown): SchemaListeEintrag;
